################################################################################
## Calibration arguments
################################################################################

calibration-model=None
spline-calibration-envelope-dict=None
spline-calibration-nodes=10
spline-calibration-curves=1000

################################################################################
## Data generation arguments
################################################################################

ignore-gwpy-data-quality-check=True
gps-tuple=None
gps-file=None
timeslide-file=None
timeslide-dict=None
trigger-time=1126259462.4
data-dict=None
data-format=None
allow-tape=True
channel-dict={H1:GWOSC, L1:GWOSC}
frame-type-dict=None
data-find-url=https://datafind.ligo.org
data-find-urltype=osdf

################################################################################
## Detector arguments
################################################################################

detectors=[H1, L1]
duration=8.0
psd-dict=None
psd-fractional-overlap=0.0
post-trigger-duration=2.0
sampling-frequency=4096
psd-length=128
psd-maximum-duration=1024
psd-method=median
psd-start-time=None
maximum-frequency=1024.0
minimum-frequency=20.0
tukey-roll-off=0.4
resampling-method=lal

################################################################################
## Injection arguments
################################################################################

injection-dict=None
injection-file=None

################################################################################
## Job submission arguments
################################################################################

accounting=dingo
accounting-user=None
label=GW150914
local=False
local-generation=True
local-plot=False
outdir=/work/nihargupte/src/dingo-unstable/local/devel/02_debug/pesummary_summary_pages/outdir_GW150914
overwrite-outdir=False
request-disk=5
request-memory=8.0
request-memory-generation=8.0
request-cpus=1
request-cpus-importance-sampling=32
sampling-requirements=[TARGET.CUDAGlobalMemoryMb>40000]
extra-lines=None
simple-submission=False
conda-env=None
scheduler=condor
scheduler-args=None
scheduler-module=None
scheduler-env=None
scheduler-analysis-time=7-00:00:00
submit=False
condor-job-priority=0
transfer-files=True
environment-variables=None
getenv=None
additional-transfer-paths=None
disable-hdf5-locking=False
log-directory=None
osg=False
desired-sites=None
analysis-executable=None
analysis-executable-parser=None

################################################################################
## Output arguments
################################################################################

plot-data=False
plot-spectrogram=False
plot-corner=True
plot-weights=True
plot-log-probs=True
create-summary=True
email=None
notification=Never
queue=None
existing-dir=None
webdir=None
summarypages-arguments=None
result-format=hdf5
final-result=True
final-result-nsamples=20000

################################################################################
## Prior arguments
################################################################################

prior-dict=None

################################################################################
## Waveform arguments
################################################################################

reference-frequency=None
waveform-approximant=IMRPhenomXPHM

################################################################################
## Sampler arguments
################################################################################

model=/data/sgreen/dingo-experiments/XPHM/testing_inference/model.pt
model-init=/data/sgreen/dingo-experiments/XPHM/O1_init/model_stage_1.pt
recover-log-prob=True
device=cuda
num-gnpe-iterations=30
num-samples=50000
batch-size=50000
density-recovery-settings=ProxyRecoveryDefault
importance-sample=True
importance-sampling-settings=Default
importance-sampling-updates={}
n-parallel=10

